- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Friends

# QTextDocumentFragment Class Reference

Search for all occurrences

## Detailed Description

Definition at line 58 of file qtextdocumentfragment.h.

`#include <qtextdocumentfragment.h>`

List of all members.

## Public Member Functions
| QTextDocumentFragment ()
| QTextDocumentFragment (const QTextDocument *document)
| QTextDocumentFragment (const QTextCursor &range)
| QTextDocumentFragment (const QTextDocumentFragment &rhs)
QTextDocumentFragment & | operator= (const QTextDocumentFragment &rhs)
| ~QTextDocumentFragment ()
bool | isEmpty () const
QString | toPlainText () const
QString | toHtml () const
QString | toHtml (const QByteArray &encoding) const
## Static Public Member Functions
static QTextDocumentFragment | fromPlainText (const QString &plainText)
static QTextDocumentFragment | fromHtml (const QString &html)
static QTextDocumentFragment | fromHtml (const QString &html, const QTextDocument *resourceProvider)
## Friends
class | QTextCursor
class | QTextDocumentWriter

## Constructor & Destructor Documentation

QTextDocumentFragment | ( |  | ) |

QTextDocumentFragment | ( | const QTextDocument * | document | ) | `[explicit]`

QTextDocumentFragment | ( | const QTextCursor & | range | ) | `[explicit]`

QTextDocumentFragment | ( | const QTextDocumentFragment & | rhs | ) |

~QTextDocumentFragment | ( |  | ) |

## Member Function Documentation

QTextDocumentFragment& operator= | ( | const QTextDocumentFragment & | rhs | ) |

bool isEmpty | ( |  | ) | const

Search for all occurrences

QString toPlainText | ( |  | ) | const

Search for all occurrences

QString toHtml | ( |  | ) | const

Search for all occurrences

QString toHtml | ( | const QByteArray & | encoding | ) | const

Search for all occurrences

static QTextDocumentFragment fromPlainText | ( | const QString & | plainText | ) | `[static]`

Search for all occurrences

static QTextDocumentFragment fromHtml | ( | const QString & | html | ) | `[static]`

Search for all occurrences

static QTextDocumentFragment fromHtml | ( | const QString & | html,
|  | const QTextDocument * | resourceProvider
| ) |  | `[static]`

Search for all occurrences

## Friends And Related Function Documentation

friend class QTextCursor `[friend]`

Search for all occurrences

Definition at line 84 of file qtextdocumentfragment.h.

friend class QTextDocumentWriter `[friend]`

Search for all occurrences

Definition at line 85 of file qtextdocumentfragment.h.

The documentation for this class was generated from the following file:

- QtGui/qtextdocumentfragment.h

QTextDocumentFragment QTextDocumentFragment QTextDocumentFragment QTextDocumentFragment QTextDocumentFragment QTextDocumentFragment QTextDocumentFragment QTextDocumentFragment QTextDocumentFragment QTextDocumentFragment
QTextDocumentFragment QTextDocumentFragment QTextDocumentFragment QTextDocumentFragment QTextDocumentFragment QTextDocumentFragment QTextDocumentFragment QTextDocumentFragment QTextDocumentFragment QTextDocumentFragment